Global local in React Treegrid component

Localization

The Localization library allows you to localize default text content of the TreeGrid. The treegrid component has static text on some features (like toolbar area text, filter menu text, pager information text, etc.) that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the
locale value and translation object.

The following list of properties and its values are used in the treegrid.

Locale keywords Text
EmptyRecord No records to display
True true
False false
ExpandAll Expand All
CollapseAll Collapse All
RowIndent Indent
RowOutdent Outdent
InvalidFilterMessage Invalid Filter Data
FilterbarTitle Filter bar cell
Add Add
Edit Edit
Cancel Cancel
Update Update
Delete Delete
Print Print
Pdfexport PDF Export
Excelexport Excel Export
Wordexport Word Export
Csvexport CSV Export
Search Search
Save Save
EditOperationAlert No records selected for edit operation
DeleteOperationAlert No records selected for delete operation
SaveButton Save
OKButton OK
CancelButton Cancel
EditFormTitle Details of
AddFormTitle Add New Record
ConfirmDelete Are you sure you want to Delete Record?
SearchColumns search columns
Matchs No Matches Found
FilterButton Filter
ClearButton Clear
StartsWith Starts With
EndsWith Ends With
Contains Contains
Equal Equal
NotEqual Not Equal
LessThan Less Than
LessThanOrEqual Less Than Or Equal
GreaterThan Greater Than
GreaterThanOrEqual Greater Than Or Equal
ChooseDate Choose a Date
EnterValue Enter the value
autoFitAll Auto Fit all columns
autoFit Auto Fit this column
Export Export
FirstPage First Page
LastPage Last Page
PreviousPage Previous Page
NextPage Next Page
SortAscending Sort Ascending
SortDescending Sort Descending
EditRecord Edit Record
DeleteRecord Delete Record
Above Above
Below Below
AddRow Add Row
FilterMenu Filter
SelectAll Select All
Blanks Blanks
FilterTrue True
FilterFalse False
NoResult No Matches Found
ClearFilter Clear Filter
NumberFilter Number Filters
TextFilter Text Filters
DateFilter Date Filters
MatchCase Match Case
Between Between
CustomFilter Custom Filter
CustomFilterPlaceHolder Enter the value
CustomFilterDatePlaceHolder Choose a date
AND AND
OR OR
ShowRowsWhere Show rows where:
currentPageInfo {0} of {1} pages
totalItemsInfo ({0} items)
firstPageTooltip Go to first page
lastPageTooltip Go to last page
nextPageTooltip Go to next page
previousPageTooltip Go to previous page
nextPagerTooltip Go to next pager
previousPagerTooltip Go to previous pager
pagerDropDown Items per page
pagerAllDropDown Items
All All

Loading translations

To load translation object in an application, use load function of the L10n class.

The following example demonstrates the TreeGrid in Deutsch culture.

import { L10n } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, Inject, Toolbar } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sampleData } from './datasource';
L10n.load({
    'de-DE': {
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'previousPagerTooltip': 'Zum vorherigen Pager',
            'totalItemsInfo': '({0} Beiträge)'
        },
        'treegrid': {
            "ClearButton": "klar",
            'Collapse All': 'Alles einklappen',
            "Contains": "Enthält",
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            "EndsWith": "Endet mit",
            "EnterValue": "Geben Sie den Wert ein",
            "Equal": "Gleich",
            "Excelexport": "Excel-Export",
            'Expand All': 'Alle erweitern',
            "FilterButton": "Filter",
            "FilterMenu": "Filter",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "NotEqual": "Nicht gleich",
            "Pdfexport": "PDF-Export",
            "Print": "Drucken",
            "StartsWith": "Beginnt mit",
            "Wordexport": "Word-Export"
        }
    }
});
function App() {
    const FilterOptions = {
        type: 'Menu'
    };
    const pageSettings = { pageSize: 7 };
    const toolbarOptions = ['Print'];
    return <TreeGridComponent dataSource={sampleData} treeColumnIndex={1} childMapping='subtasks' allowPaging={true} pageSettings={pageSettings} locale='de-DE' allowFiltering={true} filterSettings={FilterOptions} toolbar={toolbarOptions} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right'/>
            <ColumnDirective field='taskName' headerText='Task Name' width='180'/>
            <ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right'/>
        </ColumnsDirective>
        <Inject services={[Page, Toolbar, Filter]}/>
    </TreeGridComponent>;
}
;
export default App;
import { L10n } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, FilterSettingsModel, Inject, PageSettingsModel, Toolbar, ToolbarItems } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sampleData } from './datasource';

L10n.load({
    'de-DE': {
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'previousPagerTooltip': 'Zum vorherigen Pager',
            'totalItemsInfo': '({0} Beiträge)'
        },
        'treegrid': {
            "ClearButton": "klar",
            'Collapse All': 'Alles einklappen',
            "Contains": "Enthält",
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            "EndsWith": "Endet mit",
            "EnterValue": "Geben Sie den Wert ein",
            "Equal": "Gleich",
            "Excelexport": "Excel-Export",
            'Expand All': 'Alle erweitern',
            "FilterButton": "Filter",
            "FilterMenu": "Filter",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "NotEqual": "Nicht gleich",
            "Pdfexport": "PDF-Export",
            "Print": "Drucken",
            "StartsWith": "Beginnt mit",
            "Wordexport": "Word-Export"
        }
    }
});

function App() {

    const FilterOptions: FilterSettingsModel = {
        type: 'Menu'
    };
    const pageSettings: PageSettingsModel = { pageSize: 7 };
    const toolbarOptions: ToolbarItems[] = ['Print'];

    return <TreeGridComponent dataSource={sampleData} treeColumnIndex={1} childMapping='subtasks'
        allowPaging={true} pageSettings={pageSettings} locale='de-DE' allowFiltering={true}
        filterSettings={FilterOptions} toolbar={toolbarOptions} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right'/>
            <ColumnDirective field='taskName' headerText='Task Name' width='180'/>
            <ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right' />
        </ColumnsDirective>
        <Inject services={[Page, Toolbar, Filter]}/>
    </TreeGridComponent>
};
export default App;

Localization of dependent components in TreeGrid

When localizing TreeGrid, it’s important to include dependent components like DatePicker, Form Validator, and Grid, as they have their own static text that requires localization. Follow these steps to localize these components:

  1. DatePicker: Localize placeholders, “today” text, etc., using the DatePicker localization keys

    Example localization keys for the date picker:

    "datepicker": {
             "placeholder": "Wählen Sie ein Datum",
             "today": "heute"
         }
  2. Form Validator: Localize validation messages (e.g., required fields, email validation) using the Form Validator localization keys.

    Example keys for form validation localization:

     "formValidator":{
         "required": "This field is required",
         "email": "Please enter a valid email address",
         "minLength": "Please enter at least {0} characters"
     }
  3. Grid Keys: For additional TreeGrid-related keys, use the Grid localization keys.

    Example keys for grid keys localization:

     "grid" :{
         "True": "true",
         "False": "false",
         "Item": "item",
         "Items": "items",
         "OKButton": "OK",
     }

    Below is an example JSON snippet consolidating the localization keys for dependent components used in TreeGrid using load function of the L10n class and update the locale property of treegrid with the culture name used in the load function:

     L10n.load({
    
         'de-DE': {
    
         "datepicker": {
                 "placeholder": "Wählen Sie ein Datum",
                 "today": "heute"
             },
    
         "formValidator":{
             "required": "This field is required",
             "email": "Please enter a valid email address",
             "minLength": "Please enter at least {0} characters"
         },
    
         "grid" :{
             "True": "true",
             "False": "false",
             "Item": "item",
             "Items": "items",
             "OKButton": "OK",
         }
     }
     });

Internationalization

The Internationalization library is used to globalize number, date, and time values in treegrid component using format strings in the columns.format.

import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, Inject, Toolbar } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import * as cagregorian from './ca-gregorian.json';
import * as currencies from './currencies.json';
import { formatData } from './datasource';
import * as numberingSystems from './numberingSystems.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';
loadCldr(currencies, cagregorian, numbers, timeZoneNames, numberingSystems);
setCulture('de');
setCurrencyCode('EUR');
L10n.load({
    'de-DE': {
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'previousPagerTooltip': 'Zum vorherigen Pager',
            'totalItemsInfo': '({0} Beiträge)'
        },
        'treegrid': {
            "ClearButton": "klar",
            'Collapse All': 'Alles einklappen',
            "Contains": "Enthält",
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            "EndsWith": "Endet mit",
            "EnterValue": "Geben Sie den Wert ein",
            "Equal": "Gleich",
            "Excelexport": "Excel-Export",
            'Expand All': 'Alle erweitern',
            "FilterButton": "Filter",
            "FilterMenu": "Filter",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "NotEqual": "Nicht gleich",
            "Pdfexport": "PDF-Export",
            "Print": "Drucken",
            "StartsWith": "Beginnt mit",
            "Wordexport": "Word-Export"
        }
    }
});
function App() {
    const FilterOptions = {
        type: 'Menu'
    };
    const pageSettings = { pageSize: 7 };
    const toolbarOptions = ['Print'];
    const formatOption = {
        currency: 'EUR',
        format: 'C2',
        maximumSignificantDigits: 3,
        minimumSignificantDigits: 1,
        useGrouping: false
    };
    return <TreeGridComponent dataSource={formatData} treeColumnIndex={1} childMapping='subtasks' allowPaging={true} pageSettings={pageSettings} locale='de-DE' allowFiltering={true} filterSettings={FilterOptions} toolbar={toolbarOptions} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='orderID' headerText='Order ID' width='90' textAlign='Right'/>
            <ColumnDirective field='orderName' headerText='Order Name' width='180'/>
            <ColumnDirective field='price' headerText='Price' width='80' format={formatOption} textAlign='Right' type='number'/>
        </ColumnsDirective>
        <Inject services={[Page, Filter, Toolbar]}/>
    </TreeGridComponent>;
}
;
export default App;
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, FilterSettingsModel, Inject, PageSettingsModel, Toolbar, ToolbarItems } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import * as cagregorian from './ca-gregorian.json';
import * as currencies from './currencies.json';
import { formatData } from './datasource';
import * as numberingSystems from './numberingSystems.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';

loadCldr(currencies, cagregorian, numbers, timeZoneNames, numberingSystems);

setCulture('de');
setCurrencyCode('EUR');

L10n.load({
    'de-DE': {
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'previousPagerTooltip': 'Zum vorherigen Pager',
            'totalItemsInfo': '({0} Beiträge)'
        },
        'treegrid': {
            "ClearButton": "klar",
            'Collapse All': 'Alles einklappen',
            "Contains": "Enthält",
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            "EndsWith": "Endet mit",
            "EnterValue": "Geben Sie den Wert ein",
            "Equal": "Gleich",
            "Excelexport": "Excel-Export",
            'Expand All': 'Alle erweitern',
            "FilterButton": "Filter",
            "FilterMenu": "Filter",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "NotEqual": "Nicht gleich",
            "Pdfexport": "PDF-Export",
            "Print": "Drucken",
            "StartsWith": "Beginnt mit",
            "Wordexport": "Word-Export"
        }
    }
});

function App() {

    const FilterOptions: FilterSettingsModel = {
        type: 'Menu'
    };
    const pageSettings: PageSettingsModel = { pageSize: 7 };
    const toolbarOptions: ToolbarItems[] = ['Print'];

    const formatOption : object = {
        currency:'EUR',
        format:'C2',
        maximumSignificantDigits:3,
        minimumSignificantDigits:1,
        useGrouping: false
    };

    return <TreeGridComponent dataSource={formatData} treeColumnIndex={1} childMapping='subtasks' allowPaging={true} pageSettings={pageSettings} locale='de-DE' allowFiltering={true}
    filterSettings={FilterOptions} toolbar={toolbarOptions} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='orderID' headerText='Order ID' width='90' textAlign='Right'/>
            <ColumnDirective field='orderName' headerText='Order Name' width='180'/>
            <ColumnDirective field='price' headerText='Price' width='80' format={formatOption} textAlign='Right' type='number' />
        </ColumnsDirective>
        <Inject services={[Page, Filter, Toolbar]}/>
    </TreeGridComponent>
};
export default App;

  • In the above sample, Price column is formatted by NumberFormatOptions.
  • By default, locale value is en-US. If you want to change the en-US culture to a different culture, you have to change the locale accordingly.

Right to left (RTL)

RTL provides an option to switch the text direction and layout of the TreeGrid component from right to left. It improves the user experiences and accessibility for users who use right-to-left languages (Arabic, Farsi, Urdu, etc.). To enable RTL Grid, set the enableRtl to true.

import { L10n } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, Inject, Toolbar } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sampleData } from './datasource';
L10n.load({
    'ar-AE': {
        'pager': {
            'currentPageInfo': '{0} من {1} صفحة',
            'firstPageTooltip': 'انتقل إلى الصفحة الأولى',
            'lastPageTooltip': 'انتقل إلى الصفحة الأخيرة',
            'nextPageTooltip': 'انتقل إلى الصفحة التالية',
            'nextPagerTooltip': 'الذهاب إلى بيجر المقبل',
            'previousPageTooltip': 'انتقل إلى الصفحة السابقة',
            'previousPagerTooltip': 'الذهاب إلى بيجر السابقة',
            'totalItemsInfo': '({0} العناصر)'
        },
        'treegrid': {
            "ChooseDate": "اختر تاريخا",
            "ClearButton": "واضح",
            "Contains": "يحتوي على",
            "EmptyRecord": "لا سجلات لعرضها",
            "EndsWith": "ينتهي مع",
            "EnterValue": "أدخل القيمة",
            "Equal": "مساو",
            "FilterButton": "منقي",
            "FilterMenu": "منقي",
            "GreaterThan": "أكثر من",
            "GreaterThanOrEqual": "أكبر من أو يساوي",
            "LessThan": "أقل من",
            "LessThanOrEqual": "اصغر من او يساوي",
            "NotEqual": "غير متساوي",
            "Print": "طباعة",
            "StartsWith": "ابدا ب",
        }
    }
});
function App() {
    const FilterOptions = {
        type: 'Menu'
    };
    const pageSettings = { pageSize: 7 };
    const toolbarOptions = ['Print'];
    return <TreeGridComponent dataSource={sampleData} treeColumnIndex={1} childMapping='subtasks' allowPaging={true} pageSettings={pageSettings} locale='ar-AE' allowFiltering={true} filterSettings={FilterOptions} toolbar={toolbarOptions} enableRtl={true} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right'/>
            <ColumnDirective field='taskName' headerText='Task Name' width='160'/>
            <ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right'/>
        </ColumnsDirective>
        <Inject services={[Page, Toolbar, Filter]}/>
    </TreeGridComponent>;
}
;
export default App;
import { L10n } from '@syncfusion/ej2-base';
import { ColumnDirective, ColumnsDirective, Page, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import { Filter, FilterSettingsModel, Inject, PageSettingsModel, Toolbar, ToolbarItems } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sampleData } from './datasource';

L10n.load({
    'ar-AE': {
        'pager': {
            'currentPageInfo': '{0} من {1} صفحة',
            'firstPageTooltip': 'انتقل إلى الصفحة الأولى',
            'lastPageTooltip': 'انتقل إلى الصفحة الأخيرة',
            'nextPageTooltip': 'انتقل إلى الصفحة التالية',
            'nextPagerTooltip': 'الذهاب إلى بيجر المقبل',
            'previousPageTooltip': 'انتقل إلى الصفحة السابقة',
            'previousPagerTooltip': 'الذهاب إلى بيجر السابقة',
            'totalItemsInfo': '({0} العناصر)'
        },
        'treegrid': {
            "ChooseDate": "اختر تاريخا",
            "ClearButton": "واضح",
            "Contains": "يحتوي على",
            "EmptyRecord": "لا سجلات لعرضها",
            "EndsWith": "ينتهي مع",
            "EnterValue": "أدخل القيمة",
            "Equal": "مساو",
            "FilterButton": "منقي",
            "FilterMenu": "منقي",
            "GreaterThan": "أكثر من",
            "GreaterThanOrEqual": "أكبر من أو يساوي",
            "LessThan": "أقل من",
            "LessThanOrEqual": "اصغر من او يساوي",
            "NotEqual": "غير متساوي",
            "Print": "طباعة",
            "StartsWith": "ابدا ب",
        }
    }
});

function App() {

    const FilterOptions: FilterSettingsModel = {
        type: 'Menu'
    };
    const pageSettings: PageSettingsModel = { pageSize: 7 };
    const toolbarOptions: ToolbarItems[] = ['Print'];

    return <TreeGridComponent dataSource={sampleData} treeColumnIndex={1} childMapping='subtasks'
    allowPaging={true} pageSettings={pageSettings} locale='ar-AE' allowFiltering={true}
    filterSettings={FilterOptions} toolbar={toolbarOptions} enableRtl= {true} height='220'>
        <ColumnsDirective>
            <ColumnDirective field='taskID' headerText='Task ID' width='90' textAlign='Right'/>
            <ColumnDirective field='taskName' headerText='Task Name' width='160'/>
            <ColumnDirective field='duration' headerText='Duration' width='80' textAlign='Right' />
        </ColumnsDirective>
        <Inject services={[Page, Toolbar, Filter]}/>
    </TreeGridComponent>
};
export default App;

See Also

You can refer to our React Tree Grid feature tour page for its groundbreaking feature representations. You can also explore our React Tree Grid example to knows how to present and manipulate data.

Global local in Vue Treegrid component

Localization

The Localization library allows you to localize default text content of the TreeGrid. The treegrid component has static text on some features (like toolbar area text, filter menu text, pager information text, etc.) that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the
locale value and translation object.

The following list of properties and its values are used in the treegrid.

Locale keywords Text
EmptyRecord No records to display
True true
False false
ExpandAll Expand All
CollapseAll Collapse All
RowIndent Indent
RowOutdent Outdent
InvalidFilterMessage Invalid Filter Data
FilterbarTitle \s filter bar cell
Add Add
Edit Edit
Cancel Cancel
Update Update
Delete Delete
Print Print
Pdfexport PDF Export
Excelexport Excel Export
Wordexport Word Export
Csvexport CSV Export
Search Search
Save Save
EditOperationAlert No records selected for edit operation
DeleteOperationAlert No records selected for delete operation
SaveButton Save
OKButton OK
CancelButton Cancel
EditFormTitle Details of
AddFormTitle Add New Record
ConfirmDelete Are you sure you want to Delete Record?
SearchColumns search columns
Matchs No Matches Found
FilterButton Filter
ClearButton Clear
StartsWith Starts With
EndsWith Ends With
Contains Contains
Equal Equal
NotEqual Not Equal
LessThan Less Than
LessThanOrEqual Less Than Or Equal
GreaterThan Greater Than
GreaterThanOrEqual Greater Than Or Equal
ChooseDate Choose a Date
EnterValue Enter the value
autoFitAll Auto Fit all columns
autoFit Auto Fit this column
Export Export
FirstPage First Page
LastPage Last Page
PreviousPage Previous Page
NextPage Next Page
SortAscending Sort Ascending
SortDescending Sort Descending
EditRecord Edit Record
DeleteRecord Delete Record
Above Above
Below Below
AddRow Add Row
FilterMenu Filter
SelectAll Select All
Blanks Blanks
FilterTrue True
FilterFalse False
NoResult No Matches Found
ClearFilter Clear Filter
NumberFilter Number Filters
TextFilter Text Filters
DateFilter Date Filters
MatchCase Match Case
Between Between
CustomFilter Custom Filter
CustomFilterPlaceHolder Enter the value
CustomFilterDatePlaceHolder Choose a date
AND AND
OR OR
ShowRowsWhere Show rows where:
currentPageInfo {0} of {1} pages
totalItemsInfo ({0} items)
firstPageTooltip Go to first page
lastPageTooltip Go to last page
nextPageTooltip Go to next page
previousPageTooltip Go to previous page
nextPagerTooltip Go to next pager
previousPagerTooltip Go to previous pager
pagerDropDown Items per page
pagerAllDropDown Items
All All

Loading translations

To load translation object in an application, use load function of the L10n class.

The following example demonstrates the TreeGrid in Deutsch culture.

<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='de-DE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar'>
        <e-columns>
          <e-column field='taskID' headerText='Task ID' width='90' textAlign='Right'></e-column>
          <e-column field='taskName' headerText='Task Name' width='160'></e-column>
          <e-column field='startDate' headerText='Start Date' width='90' format="yMd" textAlign='Right'></e-column>
          <e-column field='duration' headerText='Duration' width='80' textAlign='Right'></e-column>
        </e-columns>
      </ejs-treegrid>
</div>
</template>
<script setup>
import { provide } from "vue";

import { L10n, setCulture } from '@syncfusion/ej2-base';
import { TreeGridComponent as EjsTreegrid, Page, Toolbar, Filter, ColumnDirective as EColumn, ColumnsDirective as EColumns } from "@syncfusion/ej2-vue-treegrid";
import { sampleData } from "./datasource.js";

setCulture('de-DE');

L10n.load({
    'de-DE': {
        'treegrid': {
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            'Expand All': 'Alle erweitern',
            'Collapse All': 'Alles einklappen',
            "Print": "Drucken",
            "Pdfexport": "PDF-Export",
            "Excelexport": "Excel-Export",
            "Wordexport": "Word-Export",
            "FilterButton": "Filter",
            "ClearButton": "klar",
            "StartsWith": "Beginnt mit",
            "EndsWith": "Endet mit",
            "Contains": "Enthält",
            "Equal": "Gleich",
            "NotEqual": "Nicht gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "EnterValue": "Geben Sie den Wert ein",
            "FilterMenu": "Filter"
        },
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'totalItemsInfo': '({0} Beiträge)',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPagerTooltip': 'Zum vorherigen Pager'
        },
        "dropdowns": {
            "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
        },
        "datepicker": {
            "placeholder": "Wählen Sie ein Datum",
            "today": "heute"
        }
    }
});

const data = sampleData;
const pageSettings = { pageSize: 7 };
const filterSettings = { type: 'Menu' };
const toolbar = ['Print'];

provide('treegrid',  [ Page, Toolbar, Filter ]);

</script>
<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='de-DE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar'>
        <e-columns>
          <e-column field='taskID' headerText='Task ID' width='90' textAlign='Right'></e-column>
          <e-column field='taskName' headerText='Task Name' width='160'></e-column>
          <e-column field='startDate' headerText='Start Date' width='90' format="yMd" textAlign='Right'></e-column>
          <e-column field='duration' headerText='Duration' width='80' textAlign='Right'></e-column>
        </e-columns>
      </ejs-treegrid>
</div>
</template>
<script>

import { L10n, setCulture } from '@syncfusion/ej2-base';
import { TreeGridComponent, Page, Toolbar, Filter, ColumnDirective, ColumnsDirective } from "@syncfusion/ej2-vue-treegrid";
import { sampleData } from "./datasource.js";

setCulture('de-DE');

L10n.load({
    'de-DE': {
        'treegrid': {
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            'Expand All': 'Alle erweitern',
            'Collapse All': 'Alles einklappen',
            "Print": "Drucken",
            "Pdfexport": "PDF-Export",
            "Excelexport": "Excel-Export",
            "Wordexport": "Word-Export",
            "FilterButton": "Filter",
            "ClearButton": "klar",
            "StartsWith": "Beginnt mit",
            "EndsWith": "Endet mit",
            "Contains": "Enthält",
            "Equal": "Gleich",
            "NotEqual": "Nicht gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "EnterValue": "Geben Sie den Wert ein",
            "FilterMenu": "Filter"
        },
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'totalItemsInfo': '({0} Beiträge)',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPagerTooltip': 'Zum vorherigen Pager'
        },
        "dropdowns": {
            "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
        },
        "datepicker": {
            "placeholder": "Wählen Sie ein Datum",
            "today": "heute"
        }
    }
});



export default {
name: "App",
components: {
"ejs-treegrid":TreeGridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective,

},

  data ()  {
    return {
      data: sampleData,
      pageSettings: { pageSize: 7 },
      filterSettings: { type: 'Menu' },
      toolbar: ['Print']
    };
  },
  provide: {
      treegrid: [ Page, Toolbar, Filter ]
    }
}
</script>

Localization of dependent components in TreeGrid

When localizing TreeGrid, it’s important to include dependent components like DatePicker, Form Validator, and Grid, as they have their own static text that requires localization. Follow these steps to localize these components:

  1. DatePicker: Localize placeholders, “today” text, etc., using the DatePicker localization keys

    Example localization keys for the date picker:

    "datepicker": {
             "placeholder": "Wählen Sie ein Datum",
             "today": "heute"
         }
  2. Form Validator: Localize validation messages (e.g., required fields, email validation) using the Form Validator localization keys.

    Example keys for form validation localization:

     "formValidator":{
         "required": "This field is required",
         "email": "Please enter a valid email address",
         "minLength": "Please enter at least {0} characters"
     }
  3. Grid Keys: For additional TreeGrid-related keys, use the Grid localization keys.

    Example keys for grid keys localization:

     "grid" :{
         "True": "true",
         "False": "false",
         "Item": "item",
         "Items": "items",
         "OKButton": "OK",
     }

    Below is an example JSON snippet consolidating the localization keys for dependent components used in TreeGrid using load function of the L10n class and update the locale property of treegrid with the culture name used in the load function:

     L10n.load({
    
         'de-DE': {
    
         "datepicker": {
                 "placeholder": "Wählen Sie ein Datum",
                 "today": "heute"
             },
    
         "formValidator":{
             "required": "This field is required",
             "email": "Please enter a valid email address",
             "minLength": "Please enter at least {0} characters"
         },
    
         "grid" :{
             "True": "true",
             "False": "false",
             "Item": "item",
             "Items": "items",
             "OKButton": "OK",
         }
     }
     });

Internationalization

The Internationalization library is used to globalize number, date, and time values in treegrid component using format strings in the columns.format.

<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='de-DE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar'>
        <e-columns>
          <e-column field='orderID' headerText='Order ID' width='90' textAlign='Right'></e-column>
          <e-column field='orderName' headerText='Order Name' width='160'></e-column>
          <e-column field='price' headerText='Price' width='90' :format='formatOptions' textAlign='Right'></e-column>
        </e-columns>
      </ejs-treegrid>
</div>
</template>
<script setup>
/* eslint-disable */
import { provide } from "vue";

import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import * as currencies from './currencies.json';
import * as cagregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';
import * as numberingSystems from './numberingSystems.json';
import { TreeGridComponent as EjsTreegrid, Page, Toolbar, Filter, ColumnDirective as EColumn, ColumnsDirective as EColumns } from "@syncfusion/ej2-vue-treegrid";
import { formatData } from "./datasource.js";

setCulture('de-DE');
setCurrencyCode('EUR');

L10n.load({
    'de-DE': {
        'treegrid': {
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            'Expand All': 'Alle erweitern',
            'Collapse All': 'Alles einklappen',
            "Print": "Drucken",
            "Pdfexport": "PDF-Export",
            "Excelexport": "Excel-Export",
            "Wordexport": "Word-Export",
            "FilterButton": "Filter",
            "ClearButton": "klar",
            "StartsWith": "Beginnt mit",
            "EndsWith": "Endet mit",
            "Contains": "Enthält",
            "Equal": "Gleich",
            "NotEqual": "Nicht gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "EnterValue": "Geben Sie den Wert ein",
            "FilterMenu": "Filter"
        },
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'totalItemsInfo': '({0} Beiträge)',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPagerTooltip': 'Zum vorherigen Pager'
        },
        "dropdowns": {
            "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
        },
        "datepicker": {
            "placeholder": "Wählen Sie ein Datum",
            "today": "heute"
        }
    }
});

const data = formatData;
const pageSettings = { pageSize: 7 };
const filterSettings = { type: 'Menu' };
const formatOptions = { format:'C2' , useGrouping: false, minimumSignificantDigits:1, maximumSignificantDigits:3, currency:'EUR' };
const toolbar = ['Print'];

provide('treegrid',  [ Page, Toolbar, Filter ]);

</script>
<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='de-DE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar'>
        <e-columns>
          <e-column field='orderID' headerText='Order ID' width='90' textAlign='Right'></e-column>
          <e-column field='orderName' headerText='Order Name' width='160'></e-column>
          <e-column field='price' headerText='Price' width='90' :format='formatOptions' textAlign='Right'></e-column>
          </e-columns>
      </ejs-treegrid>
</div>
</template>
<script>
/* eslint-disable */
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import * as currencies from './currencies.json';
import * as cagregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';
import * as numberingSystems from './numberingSystems.json';
import { TreeGridComponent, Page, Toolbar, Filter, ColumnDirective, ColumnsDirective } from "@syncfusion/ej2-vue-treegrid";
import { formatData } from "./datasource.js";

setCulture('de-DE');
setCurrencyCode('EUR');

L10n.load({
    'de-DE': {
        'treegrid': {
            'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
            'Expand All': 'Alle erweitern',
            'Collapse All': 'Alles einklappen',
            "Print": "Drucken",
            "Pdfexport": "PDF-Export",
            "Excelexport": "Excel-Export",
            "Wordexport": "Word-Export",
            "FilterButton": "Filter",
            "ClearButton": "klar",
            "StartsWith": "Beginnt mit",
            "EndsWith": "Endet mit",
            "Contains": "Enthält",
            "Equal": "Gleich",
            "NotEqual": "Nicht gleich",
            "LessThan": "Weniger als",
            "LessThanOrEqual": "Weniger als oder gleich",
            "GreaterThan": "Größer als",
            "GreaterThanOrEqual": "Größer als oder gleich",
            "EnterValue": "Geben Sie den Wert ein",
            "FilterMenu": "Filter"
        },
        'pager': {
            'currentPageInfo': '{0} von {1} Seiten',
            'totalItemsInfo': '({0} Beiträge)',
            'firstPageTooltip': 'Zur ersten Seite',
            'lastPageTooltip': 'Zur letzten Seite',
            'nextPageTooltip': 'Zur nächsten Seite',
            'previousPageTooltip': 'Zurück zur letzten Seit',
            'nextPagerTooltip': 'Zum nächsten Pager',
            'previousPagerTooltip': 'Zum vorherigen Pager'
        },
        "dropdowns": {
            "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
        },
        "datepicker": {
            "placeholder": "Wählen Sie ein Datum",
            "today": "heute"
        }
    }
});



export default {
name: "App",
components: {
"ejs-treegrid":TreeGridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective,

},

  data ()  {
    return {
      data: formatData,
      pageSettings: { pageSize: 7 },
      filterSettings: { type: 'Menu' },
      formatOptions: { format:'C2' , useGrouping: false, minimumSignificantDigits:1, maximumSignificantDigits:3, currency:'EUR' },
      toolbar: ['Print']
    };
  },
  provide: {
      treegrid: [ Page, Toolbar, Filter ]
    }
}
</script>

  • In the above sample, Price column is formatted by NumberFormatOptions.
  • By default, locale value is en-US. If you want to change the en-US culture to a different culture, you have to change the locale accordingly.

Right to left (RTL)

RTL provides an option to switch the text direction and layout of the TreeGrid component from right to left. It improves the user experiences and accessibility for users who use right-to-left languages (Arabic, Farsi, Urdu, etc.). To enable RTL Grid, set the enableRtl to true.

<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='ar-AE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar' :enableRtl='true'>
        <e-columns>
          <e-column field='taskID' headerText='Task ID' width='90' textAlign='Right'></e-column>
          <e-column field='taskName' headerText='Task Name' width='160'></e-column>
          <e-column field='startDate' headerText='Start Date' width='90' format="yMd" textAlign='Right'></e-column>
          <e-column field='duration' headerText='Duration' width='80' textAlign='Right'></e-column>
        </e-columns>
      </ejs-treegrid>
</div>
</template>
<script setup>
import { provide } from "vue";

import { L10n, setCulture } from '@syncfusion/ej2-base';
import { TreeGridComponent as EjsTreegrid, Page, Toolbar, Filter, ColumnDirective as EColumn, ColumnsDirective as EColumns } from "@syncfusion/ej2-vue-treegrid";
import { sampleData } from "./datasource.js";

setCulture('ar-AE');

L10n.load({
    'ar-AE': {
        'treegrid': {
            "EmptyRecord": "لا سجلات لعرضها",
            "Print": "طباعة",
            "FilterButton": "منقي",
            "ClearButton": "واضح",
            "StartsWith": "ابدا ب",
            "EndsWith": "ينتهي مع",
            "Contains": "يحتوي على",
            "Equal": "مساو",
            "NotEqual": "غير متساوي",
            "LessThan": "أقل من",
            "LessThanOrEqual": "اصغر من او يساوي",
            "GreaterThan": "أكثر من",
            "GreaterThanOrEqual": "أكبر من أو يساوي",
            "ChooseDate": "اختر تاريخا",
            "EnterValue": "أدخل القيمة",
            "FilterMenu": "منقي"
        },
        'pager': {
            'currentPageInfo': '{0} من {1} صفحة',
            'totalItemsInfo': '({0} العناصر)',
            'firstPageTooltip': 'انتقل إلى الصفحة الأولى',
            'lastPageTooltip': 'انتقل إلى الصفحة الأخيرة',
            'nextPageTooltip': 'انتقل إلى الصفحة التالية',
            'previousPageTooltip': 'انتقل إلى الصفحة السابقة',
            'nextPagerTooltip': 'الذهاب إلى بيجر المقبل',
            'previousPagerTooltip': 'الذهاب إلى بيجر السابقة'
        },
        "dropdowns": {
            "noRecordsTemplate": "لا توجد سجلات"
        },
        "datepicker": {
            "placeholder": "اختر تاريخا",
            "today": "اليوم"
        }
    }
});

const data = sampleData;
const pageSettings = { pageSize: 7 };
const filterSettings = { type: 'Menu' };
const toolbar = ['Print'];

provide('treegrid',  [ Page, Toolbar, Filter ]);

</script>
<template>
<div id="app">
      <ejs-treegrid :dataSource='data' locale='ar-AE' childMapping='subtasks' :treeColumnIndex='1' :allowPaging='true' :pageSettings='pageSettings' :allowFiltering='true' :filterSettings='filterSettings' :toolbar='toolbar' :enableRtl='true'>
        <e-columns>
          <e-column field='taskID' headerText='Task ID' width='90' textAlign='Right'></e-column>
          <e-column field='taskName' headerText='Task Name' width='160'></e-column>
          <e-column field='startDate' headerText='Start Date' width='90' format="yMd" textAlign='Right'></e-column>
          <e-column field='duration' headerText='Duration' width='80' textAlign='Right'></e-column>
        </e-columns>
      </ejs-treegrid>
</div>
</template>
<script>

import { L10n, setCulture } from '@syncfusion/ej2-base';
import { TreeGridComponent, Page, Toolbar, Filter, ColumnDirective, ColumnsDirective } from "@syncfusion/ej2-vue-treegrid";
import { sampleData } from "./datasource.js";

setCulture('ar-AE');

L10n.load({
    'ar-AE': {
        'treegrid': {
            "EmptyRecord": "لا سجلات لعرضها",
            "Print": "طباعة",
            "FilterButton": "منقي",
            "ClearButton": "واضح",
            "StartsWith": "ابدا ب",
            "EndsWith": "ينتهي مع",
            "Contains": "يحتوي على",
            "Equal": "مساو",
            "NotEqual": "غير متساوي",
            "LessThan": "أقل من",
            "LessThanOrEqual": "اصغر من او يساوي",
            "GreaterThan": "أكثر من",
            "GreaterThanOrEqual": "أكبر من أو يساوي",
            "ChooseDate": "اختر تاريخا",
            "EnterValue": "أدخل القيمة",
            "FilterMenu": "منقي"
        },
        'pager': {
            'currentPageInfo': '{0} من {1} صفحة',
            'totalItemsInfo': '({0} العناصر)',
            'firstPageTooltip': 'انتقل إلى الصفحة الأولى',
            'lastPageTooltip': 'انتقل إلى الصفحة الأخيرة',
            'nextPageTooltip': 'انتقل إلى الصفحة التالية',
            'previousPageTooltip': 'انتقل إلى الصفحة السابقة',
            'nextPagerTooltip': 'الذهاب إلى بيجر المقبل',
            'previousPagerTooltip': 'الذهاب إلى بيجر السابقة'
        },
        "dropdowns": {
            "noRecordsTemplate": "لا توجد سجلات"
        },
        "datepicker": {
            "placeholder": "اختر تاريخا",
            "today": "اليوم"
        }
    }
});



export default {
name: "App",
components: {
"ejs-treegrid":TreeGridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective,

},

  data ()  {
    return {
      data: sampleData,
      pageSettings: { pageSize: 7 },
      filterSettings: { type: 'Menu' },
      toolbar: ['Print']
    };
  },
  provide: {
      treegrid: [ Page, Toolbar, Filter ]
    }
}
</script>

Global localization in Angular TreeGrid component

Localization

The Localization library allows customization of the default text content in the TreeGrid. The TreeGrid includes static text in various features, such as the toolbar, filter menus, and pager. These can be localized for different cultures (e.g., Arabic, Deutsch, French) by providing the appropriate locale value and translation object.

The following locale keywords are used in the TreeGrid:

Locale keyword Text
EmptyRecord No records to display
True true
False false
ExpandAll Expand All
CollapseAll Collapse All
RowIndent Indent
RowOutdent Outdent
InvalidFilterMessage Invalid Filter Data
FilterbarTitle \s filter bar cell
Add Add
Edit Edit
Cancel Cancel
Update Update
Delete Delete
Print Print
Pdfexport PDF Export
Excelexport Excel Export
Wordexport Word Export
Csvexport CSV Export
Search Search
Save Save
EditOperationAlert No records selected for edit operation
DeleteOperationAlert No records selected for delete operation
SaveButton Save
OKButton OK
CancelButton Cancel
EditFormTitle Details of
AddFormTitle Add New Record
ConfirmDelete Are you sure you want to Delete Record?
SearchColumns search columns
Matchs No Matches Found
FilterButton Filter
ClearButton Clear
StartsWith Starts With
EndsWith Ends With
Contains Contains
Equal Equal
NotEqual Not Equal
LessThan Less Than
LessThanOrEqual Less Than Or Equal
GreaterThan Greater Than
GreaterThanOrEqual Greater Than Or Equal
ChooseDate Choose a Date
EnterValue Enter the value
autoFitAll Auto Fit all columns
autoFit Auto Fit this column
Export Export
FirstPage First Page
LastPage Last Page
PreviousPage Previous Page
NextPage Next Page
SortAscending Sort Ascending
SortDescending Sort Descending
EditRecord Edit Record
DeleteRecord Delete Record
Above Above
Below Below
AddRow Add Row
FilterMenu Filter
SelectAll Select All
Blanks Blanks
FilterTrue True
FilterFalse False
NoResult No Matches Found
ClearFilter Clear Filter
NumberFilter Number Filters
TextFilter Text Filters
DateFilter Date Filters
MatchCase Match Case
Between Between
CustomFilter Custom Filter
CustomFilterPlaceHolder Enter the value
CustomFilterDatePlaceHolder Choose a date
AND AND
OR OR
ShowRowsWhere Show rows where:
currentPageInfo {0} of {1} pages
totalItemsInfo ({0} items)
firstPageTooltip Go to first page
lastPageTooltip Go to last page
nextPageTooltip Go to next page
previousPageTooltip Go to previous page
nextPagerTooltip Go to next pager
previousPagerTooltip Go to previous pager
pagerDropDown Items per page
pagerAllDropDown Items
All All

Loading translations

To load a translation object in an application, use the load function of the L10n class.

The following example demonstrates the TreeGrid localized to Deutsch culture.

import { NgModule,ViewChild } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeGridModule } from '@syncfusion/ej2-angular-treegrid'
import { PageService, SortService, FilterService } from '@syncfusion/ej2-angular-treegrid'
import {ButtonModule} from '@syncfusion/ej2-angular-buttons'



import { L10n } from '@syncfusion/ej2-base';
import { Component, OnInit, ViewChild } from '@angular/core';
import { sampleData } from './datasource';
import { ToolbarItems } from '@syncfusion/ej2-treegrid';


    L10n.load({
        'de-DE': {
            'treegrid': {
                'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
                'Expand All': 'Alle erweitern',
                'Collapse All': 'Alles einklappen',
                "Print": "Drucken",
                "Pdfexport": "PDF-Export",
                "Excelexport": "Excel-Export",
                "Wordexport": "Word-Export",
                "FilterButton": "Filter",
                "ClearButton": "klar",
                "StartsWith": "Beginnt mit",
                "EndsWith": "Endet mit",
                "Contains": "Enthält",
                "Equal": "Gleich",
                "NotEqual": "Nicht gleich",
                "LessThan": "Weniger als",
                "LessThanOrEqual": "Weniger als oder gleich",
                "GreaterThan": "Größer als",
                "GreaterThanOrEqual": "Größer als oder gleich",
                "EnterValue": "Geben Sie den Wert ein",
                "FilterMenu": "Filter"
            },
            'pager': {
                'currentPageInfo': '{0} von {1} Seiten',
                'totalItemsInfo': '({0} Beiträge)',
                'firstPageTooltip': 'Zur ersten Seite',
                'lastPageTooltip': 'Zur letzten Seite',
                'nextPageTooltip': 'Zur nächsten Seite',
                'previousPageTooltip': 'Zurück zur letzten Seit',
                'nextPagerTooltip': 'Zum nächsten Pager',
                'previousPagerTooltip': 'Zum vorherigen Pager'
            },
            "dropdowns": {
                "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
            },
            "datepicker": {
                "placeholder": "Wählen Sie ein Datum",
                "today": "heute"
            }
        }
    });

@Component({
imports: [
        
        TreeGridModule,
        ButtonModule
    ],

providers: [PageService,
                SortService,
                FilterService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treegrid [dataSource]='data' locale='de-DE' #treegrid height='220' [allowPaging]='true' [allowExcelExport]='true' [pageSettings]='pager' [treeColumnIndex]='1' [allowFiltering]='true' [filterSettings]='filters'  childMapping='subtasks' [toolbar]='toolbarOptions'>
        <e-columns>
                    <e-column field='taskID' headerText='Task ID' textAlign='Right' width=90></e-column>
                    <e-column field='taskName' headerText='Task Name' textAlign='Left' width=180></e-column>
                    <e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=120></e-column>
                    <e-column field='duration' headerText='Duration' textAlign='Right' width=110></e-column>
        </e-columns>
                </ejs-treegrid>`
})
export class AppComponent implements OnInit {

    public data?: Object[];
    public pager?: Object;
    public toolbarOptions?: ToolbarItems[];
    public filters?: Object;
    ngOnInit(): void {
        this.data = sampleData;
        this.pager = {pageSize: 7};
        this.toolbarOptions = ['Print'];
        this.filters = { type: 'Menu' };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Localization of dependent components in TreeGrid

When localizing the TreeGrid, include dependent components such as DatePicker, Form Validator, and Grid, as these also contain static text that requires translation. To localize these components:

  1. DatePicker: Localize placeholders and button text using DatePicker localization keys.

    Example keys for date picker localization:

     "datepicker": {
         "placeholder": "Wählen Sie ein Datum",
         "today": "heute"
     }
  2. Form Validator: Localize validation messages using Form Validator localization keys.

    Example keys for form validation localization:

     "formValidator":{
         "required": "This field is required",
         "email": "Please enter a valid email address",
         "minLength": "Please enter at least {0} characters"
     }
  3. Grid: For TreeGrid-related keywords, use Grid localization keys.

    Example keys for grid localization:

     "grid" :{
         "True": "true",
         "False": "false",
         "Item": "item",
         "Items": "items",
         "OKButton": "OK"
     }

Below is an example showing how to load localization keys for TreeGrid and its dependencies using the load function of the L10n class, and updating the locale property of TreeGrid with the culture name:

L10n.load({
    'de-DE': {
        "datepicker": {
            "placeholder": "Wählen Sie ein Datum",
            "today": "heute"
        },
        "formValidator":{
            "required": "This field is required",
            "email": "Please enter a valid email address",
            "minLength": "Please enter at least {0} characters"
        },
        "grid": {
            "True": "true",
            "False": "false",
            "Item": "item",
            "Items": "items",
            "OKButton": "OK"
        }
    }
});

Internationalization

The Internationalization library is used to globalize numbers, dates, and time values in the TreeGrid using format strings in columns.format.

import { NgModule,ViewChild } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeGridModule } from '@syncfusion/ej2-angular-treegrid'
import { PageService, SortService, FilterService } from '@syncfusion/ej2-angular-treegrid'
import {ButtonModule} from '@syncfusion/ej2-angular-buttons'




import { loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import { formatData } from './datasource';
import { L10n } from '@syncfusion/ej2-base';
import { Component, OnInit, ViewChild } from '@angular/core';
import { ToolbarItems } from '@syncfusion/ej2-treegrid';

    L10n.load({
        'de-DE': {
            'treegrid': {
                'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
                'Expand All': 'Alle erweitern',
                'Collapse All': 'Alles einklappen',
                "Print": "Drucken",
                "Pdfexport": "PDF-Export",
                "Excelexport": "Excel-Export",
                "Wordexport": "Word-Export",
                "FilterButton": "Filter",
                "ClearButton": "klar",
                "StartsWith": "Beginnt mit",
                "EndsWith": "Endet mit",
                "Contains": "Enthält",
                "Equal": "Gleich",
                "NotEqual": "Nicht gleich",
                "LessThan": "Weniger als",
                "LessThanOrEqual": "Weniger als oder gleich",
                "GreaterThan": "Größer als",
                "GreaterThanOrEqual": "Größer als oder gleich",
                "EnterValue": "Geben Sie den Wert ein",
                "FilterMenu": "Filter"
            },
            'pager': {
                'currentPageInfo': '{0} von {1} Seiten',
                'totalItemsInfo': '({0} Beiträge)',
                'firstPageTooltip': 'Zur ersten Seite',
                'lastPageTooltip': 'Zur letzten Seite',
                'nextPageTooltip': 'Zur nächsten Seite',
                'previousPageTooltip': 'Zurück zur letzten Seit',
                'nextPagerTooltip': 'Zum nächsten Pager',
                'previousPagerTooltip': 'Zum vorherigen Pager'
            },
            "dropdowns": {
                "noRecordsTemplate": "Keine Aufzeichnungen gefunden"
            },
            "datepicker": {
                "placeholder": "Wählen Sie ein Datum",
                "today": "heute"
            }
        }
    });

@Component({
imports: [
        
        TreeGridModule,
        ButtonModule
    ],

providers: [PageService,
                SortService,
                FilterService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treegrid [dataSource]='data' locale='de-DE' #treegrid height='220' [allowPaging]='true' [allowExcelExport]='true' [pageSettings]='pager' [treeColumnIndex]='1' [allowFiltering]='true' [filterSettings]='filters'  childMapping='subtasks' [toolbar]='toolbarOptions'>
        <e-columns>
            <e-column field='orderID' headerText='Order ID' textAlign='Right' width=90></e-column>
            <e-column field='orderName' headerText='Order Name' textAlign='Left' width=180></e-column>
            <e-column field='price' headerText='Price' textAlign='Right' type='number' [format]='formats' width=120></e-column>
        </e-columns>
                </ejs-treegrid>`
})


export class AppComponent implements OnInit {

    public data?: Object[];
    public pager?: Object;
    public toolbarOptions?: ToolbarItems[];
    public filters?: Object;
    public formats?: Object;


    ngOnInit(): void {
        setCulture('de');
        setCurrencyCode('EUR');
        this.data = formatData;
        this.pager = {pageSize: 7};
        this.toolbarOptions = ['Print'];
        this.filters = { type: 'Menu' };
        loadCldr('./currencies.json',
        './numbers.json',
        './ca-gregorian.json',
        './timeZoneNames.json',
        './numberingSystems.json');
        this.formats = {
                format: 'C2', useGrouping: false,
                minimumSignificantDigits: 1, maximumSignificantDigits: 3, currency: 'EUR'
            };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

In the above sample, the Price column is formatted using NumberFormatOptions.
By default, the locale value is en-US. To use another culture, update the locale property accordingly.

Right to left (RTL)

RTL support allows the TreeGrid’s text direction and layout to switch from left to right. This improves accessibility and the user experience for right-to-left languages (such as Arabic, Farsi, and Urdu). To enable RTL in TreeGrid, set the enableRtl property to true.

import { NgModule,ViewChild } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeGridModule } from '@syncfusion/ej2-angular-treegrid'
import { PageService, SortService, FilterService } from '@syncfusion/ej2-angular-treegrid'
import {ButtonModule} from '@syncfusion/ej2-angular-buttons'



import { L10n } from '@syncfusion/ej2-base';
import { Component, OnInit, ViewChild } from '@angular/core';
import { sampleData } from './datasource';
import { ToolbarItems } from '@syncfusion/ej2-treegrid';
import { Filter } from '@syncfusion/ej2-angular-treegrid';


    L10n.load({
        'ar-AE': {
            'treegrid': {
                "EmptyRecord": "لا سجلات لعرضها",
                "Print": "طباعة",
                "FilterButton": "منقي",
                "ClearButton": "واضح",
                "StartsWith": "ابدا ب",
                "EndsWith": "ينتهي مع",
                "Contains": "يحتوي على",
                "Equal": "مساو",
                "NotEqual": "غير متساوي",
                "LessThan": "أقل من",
                "LessThanOrEqual": "اصغر من او يساوي",
                "GreaterThan": "أكثر من",
                "GreaterThanOrEqual": "أكبر من أو يساوي",
                "ChooseDate": "اختر تاريخا",
                "EnterValue": "أدخل القيمة",
                "FilterMenu": "منقي"
            },
            'pager': {
                'currentPageInfo': '{0} من {1} صفحة',
                'totalItemsInfo': '({0} العناصر)',
                'firstPageTooltip': 'انتقل إلى الصفحة الأولى',
                'lastPageTooltip': 'انتقل إلى الصفحة الأخيرة',
                'nextPageTooltip': 'انتقل إلى الصفحة التالية',
                'previousPageTooltip': 'انتقل إلى الصفحة السابقة',
                'nextPagerTooltip': 'الذهاب إلى بيجر المقبل',
                'previousPagerTooltip': 'الذهاب إلى بيجر السابقة'
            },
            "dropdowns": {
                "noRecordsTemplate": "لا توجد سجلات"
            },
            "datepicker": {
                "placeholder": "اختر تاريخا",
                "today": "اليوم"
            }
        }
    });

@Component({
imports: [
        
        TreeGridModule,
        ButtonModule
    ],

providers: [PageService,
                SortService,
                FilterService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treegrid [dataSource]='data' [enableRtl]='true' locale='ar-AE' #treegrid height='220' [allowPaging]='true' [allowExcelExport]='true' [pageSettings]='pager' [treeColumnIndex]='1' [allowFiltering]='true' [filterSettings]='filters' childMapping='subtasks' [toolbar]='toolbarOptions'>
        <e-columns>
            <e-column field='taskID' headerText='Task ID' textAlign='Right' width=90></e-column>
            <e-column field='taskName' headerText='Task Name' textAlign='Left' width=180></e-column>
            <e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=120></e-column>
            <e-column field='duration' headerText='Duration' textAlign='Right' width=110></e-column>
        </e-columns>
     </ejs-treegrid>`
})
export class AppComponent implements OnInit {

    public data?: Object[];
    public pager?: Object;
    public toolbarOptions?: ToolbarItems[];
    public filters?: Filter | any;

    ngOnInit(): void {
        this.data = sampleData;
        this.pager = {pageSize: 7};
        this.toolbarOptions = ['Print'];
        this.filters = { type: 'Menu' };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See also

To discover more features, see the Angular TreeGrid feature tour. Explore the Angular TreeGrid example for usage and data manipulation.